import { Routes } from '@angular/router';
// import { AuthGuard } from '../services/auth.guard';
import { CompUserComponent } from './comp-user/comp-user.component';

export const routes: Routes = [
  { path: '',loadComponent:()=>import('../modules/textbook/page-home/page-home.component').then(m=>m.PageHomeComponent) }, // 默认跳转到 '/home'
  {
    path: 'user', // 用户登录/注册
    component: CompUserComponent,
    loadChildren:()=> import('../modules/login/modules.routes').then((mod) => mod.LoginRoutingModule),
  },
  // {
    // path: 'admin',
    // canActivate: [AuthGuard],
    // loadChildren: () =>
    //   import('projects/nova-open/src/modules/developer/developer.module').then(
    //     (mod) => mod.DeveloperModule
    //   ),
  // },
];
